package treeplus.tree;

import java.util.ArrayList;
import java.util.Iterator;

public class TreePlusGraph {
	
	private int[][] graph;
	
	private ArrayList names;

	/**
	 * 
	 * @param name
	 * @return
	 */
	public int getIndexFromName(String name) {
		for (int i = 0; i < names.size(); i++) {
			if (name.equals(names.get(i))) {
				return i;
			}
		}
		return -1;
	}
	
	public TreePlusGraph(int[][] graph, ArrayList names) {
		this.graph = graph;
		this.names = names;
	}

	public int[][] getMatrix() {
		return graph;
	}

	public void setMatrix(int[][] matrix) {
		this.graph = matrix;
	}

	public ArrayList getNames() {
		return names;
	}

	public void setNames(ArrayList names) {
		this.names = names;
	}	
}
